Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I'm running Windows ME. When I go to the FF Homepage I see this message. "URGENT! Your version of Firefox is no longer protected against online attacks.Get the upgrade - it’s fast and free!" I can't use any other FF with Windows ME. Am I at risk using FF?

more options

I'm running Windows ME. When I go to the FF Homepage I see this message. "URGENT! Your version of Firefox is no longer protected against online attacks.Get the upgrade - it’s fast and free!" I can't use any other FF with Windows ME. Am I at risk using FF? Thanks.

Alle svar (4)

more options

Yes you are in danger because Fx 2 is too old, our latest build is 7,please upgrade it

more options

I was under the impression FF2.0 is the only FF I can use with Windows ME? Is this the case? Will FF 7 work with Windows ME?

more options

I'm told FF 7 will not work with Windows ME. Only 2.0 will work and is supported. Is this true?